Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceProtocol

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceProtocol

    public final class AceProtocol

extends java.lang.Object

This static class contains Ace Agent Protocol Definitions. This is a final static data class contains many constants used in the ACE/Agent <-> Server protocol.

Many of these values are taken from 'sdproto.h' in original ACE/Server code. To simplify debugging, the original protocol '#define' names were preserved.

Field Summary
`static short` | `ACE_CLIENT`
`static int` | `ACM_ACCESS_DENIED`
`static int` | `ACM_ACK_NAMELOCK`
`static int` | `ACM_ADMIND_START_OK`
`static byte` | `ACM_BATCH_CHECK`
`static byte` | `ACM_CLIENT_AUTH_2`
`static byte` | `ACM_CLIENT_AUTH_4`
`static int` | `ACM_CLOSE_CLIENT_SESSION`
`static int` | `ACM_DOWNGRADE`
`static int` | `ACM_ENTRY_ERR`
`static byte` | `ACM_HI_VER`
`static int` | `ACM_LOG_ACK`
`static byte` | `ACM_LOG_REQ`
`static byte` | `ACM_MD5RC5_VER`
`static int` | `ACM_NEW_PIN_ACCEPTED`
`static int` | `ACM_NEW_PIN_REJECTED`
`static int` | `ACM_NEW_PIN_REQUIRED`
`static byte` | `ACM_NEW_PIN_REQUIRED_2`
`static int` | `ACM_NEXT_CODE_BAD`
`static int` | `ACM_NEXT_CODE_OK`
`static int` | `ACM_NEXT_CODE_REQUIRED`
`static byte` | `ACM_NEXT_CODE_REQUIRED_2`
`static int` | `ACM_OK`
`static int` | `ACM_OK_2`
`static int` | `ACM_PC_BAD`
`static int` | `ACM_PC_OK`
`static byte` | `ACM_REQ_AUTH`
`static byte` | `ACM_REQ_AUTH_3`
`static byte` | `ACM_REQ_AUTH_4`
`static byte` | `ACM_REQ_LOCK_NAME`
`static byte` | `ACM_RESP`
`static int` | `ACM_SHELL_BAD`
`static int` | `ACM_SHELL_OK`
`static byte` | `ACM_SHELL_REQ`
`static byte` | `ACM_SUSPECT`
`static int` | `ACM_SUSPECT_ACK`
`static int` | `ACM_TIME_OK`
`static byte` | `ACM_TIME_REQ`
`static byte` | `ACM_USER_CHECK`
`static byte` | `ACM_VALID_ADMIN_2`
`static byte` | `ACM_VER`
`static byte` | `ACM_VER_5`
`static int` | `CLIENT_ADDR_LEN`
`static byte` | `ENCODE_CLEARTEXT`
`static byte` | `ENCODE_ENCRYPT`
`static byte` | `ENCODE_WPCODE_F2`
`static byte` | `ENCODE_WPCODE_SHA1`
`static int` | `LEGACY_RESPONSE_SIZE`
`static int` | `LENACMFILE`
`static int` | `LENPRNST`
`static int` | `LENUSERNAME`
`static int` | `MAX_LENPRN`
`static int` | `MAX_NONCE_LENGTH`
`static int` | `MAX_REQUEST_SIZE`
`static int` | `MAX_RESPONSE_SIZE`
`static int` | `MAX_SECONDARY_LENGTH`
`static int` | `NODE_SECRET_LEN`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACM_REQ_LOCK_NAME

    public static final byte ACM_REQ_LOCK_NAME

See Also:
  Constant Field Values

### ACM_REQ_AUTH_4

    public static final byte ACM_REQ_AUTH_4

See Also:
  Constant Field Values

### ACM_CLIENT_AUTH_4

    public static final byte ACM_CLIENT_AUTH_4

See Also:
  Constant Field Values

### ACM_REQ_AUTH_3

    public static final byte ACM_REQ_AUTH_3

See Also:
  Constant Field Values

### ACM_NEW_PIN_REQUIRED_2

    public static final byte ACM_NEW_PIN_REQUIRED_2

See Also:
  Constant Field Values

### ACM_NEXT_CODE_REQUIRED_2

    public static final byte ACM_NEXT_CODE_REQUIRED_2

See Also:
  Constant Field Values

### ACM_CLIENT_AUTH_2

    public static final byte ACM_CLIENT_AUTH_2

See Also:
  Constant Field Values

### ACM_VALID_ADMIN_2

    public static final byte ACM_VALID_ADMIN_2

See Also:
  Constant Field Values

### ACM_REQ_AUTH

    public static final byte ACM_REQ_AUTH

See Also:
  Constant Field Values

### ACM_SHELL_REQ

    public static final byte ACM_SHELL_REQ

See Also:
  Constant Field Values

### ACM_TIME_REQ

    public static final byte ACM_TIME_REQ

See Also:
  Constant Field Values

### ACM_SUSPECT

    public static final byte ACM_SUSPECT

See Also:
  Constant Field Values

### ACM_LOG_REQ

    public static final byte ACM_LOG_REQ

See Also:
  Constant Field Values

### ACM_USER_CHECK

    public static final byte ACM_USER_CHECK

See Also:
  Constant Field Values

### ACM_BATCH_CHECK

    public static final byte ACM_BATCH_CHECK

See Also:
  Constant Field Values

### ACM_RESP

    public static final byte ACM_RESP

See Also:
  Constant Field Values

### ACM_VER

    public static final byte ACM_VER

See Also:
  Constant Field Values

### ACM_MD5RC5_VER

    public static final byte ACM_MD5RC5_VER

See Also:
  Constant Field Values

### ACM_VER_5

    public static final byte ACM_VER_5

See Also:
  Constant Field Values

### ACM_HI_VER

    public static final byte ACM_HI_VER

See Also:
  Constant Field Values

### ACM_OK

    public static final int ACM_OK

See Also:
  Constant Field Values

### ACM_ACCESS_DENIED

    public static final int ACM_ACCESS_DENIED

See Also:
  Constant Field Values

### ACM_NEXT_CODE_REQUIRED

    public static final int ACM_NEXT_CODE_REQUIRED

See Also:
  Constant Field Values

### ACM_NEXT_CODE_OK

    public static final int ACM_NEXT_CODE_OK

See Also:
  Constant Field Values

### ACM_NEXT_CODE_BAD

    public static final int ACM_NEXT_CODE_BAD

See Also:
  Constant Field Values

### ACM_NEW_PIN_REQUIRED

    public static final int ACM_NEW_PIN_REQUIRED

See Also:
  Constant Field Values

### ACM_NEW_PIN_ACCEPTED

    public static final int ACM_NEW_PIN_ACCEPTED

See Also:
  Constant Field Values

### ACM_NEW_PIN_REJECTED

    public static final int ACM_NEW_PIN_REJECTED

See Also:
  Constant Field Values

### ACM_SHELL_OK

    public static final int ACM_SHELL_OK

See Also:
  Constant Field Values

### ACM_SHELL_BAD

    public static final int ACM_SHELL_BAD

See Also:
  Constant Field Values

### ACM_TIME_OK

    public static final int ACM_TIME_OK

See Also:
  Constant Field Values

### ACM_SUSPECT_ACK

    public static final int ACM_SUSPECT_ACK

See Also:
  Constant Field Values

### ACM_LOG_ACK

    public static final int ACM_LOG_ACK

See Also:
  Constant Field Values

### ACM_PC_OK

    public static final int ACM_PC_OK

See Also:
  Constant Field Values

### ACM_PC_BAD

    public static final int ACM_PC_BAD

See Also:
  Constant Field Values

### ACM_CLOSE_CLIENT_SESSION

    public static final int ACM_CLOSE_CLIENT_SESSION

See Also:
  Constant Field Values

### ACM_ADMIND_START_OK

    public static final int ACM_ADMIND_START_OK

See Also:
  Constant Field Values

### ACM_OK_2

    public static final int ACM_OK_2

See Also:
  Constant Field Values

### ACM_DOWNGRADE

    public static final int ACM_DOWNGRADE

See Also:
  Constant Field Values

### ACM_ACK_NAMELOCK

    public static final int ACM_ACK_NAMELOCK

See Also:
  Constant Field Values

### ACM_ENTRY_ERR

    public static final int ACM_ENTRY_ERR

See Also:
  Constant Field Values

### MAX_LENPRN

    public static final int MAX_LENPRN

See Also:
  Constant Field Values

### LENACMFILE

    public static final int LENACMFILE

See Also:
  Constant Field Values

### LENUSERNAME

    public static final int LENUSERNAME

See Also:
  Constant Field Values

### LENPRNST

    public static final int LENPRNST

See Also:
  Constant Field Values

### MAX_SECONDARY_LENGTH

    public static final int MAX_SECONDARY_LENGTH

See Also:
  Constant Field Values

### NODE_SECRET_LEN

    public static final int NODE_SECRET_LEN

See Also:
  Constant Field Values

### CLIENT_ADDR_LEN

    public static final int CLIENT_ADDR_LEN

See Also:
  Constant Field Values

### MAX_RESPONSE_SIZE

    public static final int MAX_RESPONSE_SIZE

See Also:
  Constant Field Values

### MAX_REQUEST_SIZE

    public static final int MAX_REQUEST_SIZE

See Also:
  Constant Field Values

### LEGACY_RESPONSE_SIZE

    public static final int LEGACY_RESPONSE_SIZE

See Also:
  Constant Field Values

### MAX_NONCE_LENGTH

    public static final int MAX_NONCE_LENGTH

See Also:
  Constant Field Values

### ENCODE_CLEARTEXT

    public static final byte ENCODE_CLEARTEXT

See Also:
  Constant Field Values

### ENCODE_WPCODE_F2

    public static final byte ENCODE_WPCODE_F2

See Also:
  Constant Field Values

### ENCODE_WPCODE_SHA1

    public static final byte ENCODE_WPCODE_SHA1

See Also:
  Constant Field Values

### ENCODE_ENCRYPT

    public static final byte ENCODE_ENCRYPT

See Also:
  Constant Field Values

### ACE_CLIENT

    public static final short ACE_CLIENT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.